Subject: Re: [PATCH 1/6] powerpc/time: Handle wrapping of decrementer

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 29 Nov 2011 07:01:51 +1100

On Mon, 2011-11-28 at 11:44 -0600, Scott Wood wrote:
> > -#ifndef CONFIG_BOOKE
> > -     /* On server, re-trigger the decrementer if it went negative since
> > -      * some processors only trigger on edge transitions of the sign bit.
> > -      *
> > -      * BookE has a level sensitive decrementer (latches in TSR) so we
> > -      * don't need that
> > +     /*
> > +      * Trigger the decrementer if we have a pending event. Some processors
> > +      * only trigger on edge transitions of the sign bit. We might also
> > +      * have disabled interrupts long enough that the decrementer wrapped
> > +      * to positive.
> >        */
> > -     if ((int)mfspr(SPRN_DEC) < 0)
> > -             mtspr(SPRN_DEC, 1);
> > -#endif /* CONFIG_BOOKE */
> > +     decrementer_check_overflow();
> 
> Where did the #ifndef CONFIG_BOOKE go?  BookE doesn't need this; the
> interrupt will continue asserting until software clears TSR[DIS].

Ooops, I didnt notice Anton was removing it. Please send me a followup
patch to make decrementer_check_overflow() an empty inline on BookE.

Cheers,
Ben.